#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 stm-hamt
version:              1.2.0.14
visibility:           public
id:                   stm-hamt-1.2.0.14-8i5M6eWUjx0DovMbaguzY1
key:                  stm-hamt-1.2.0.14-8i5M6eWUjx0DovMbaguzY1
license:              MIT
copyright:            (c) 2016, Nikita Volkov
maintainer:           Nikita Volkov <nikita.y.volkov@mail.ru>
author:               Nikita Volkov <nikita.y.volkov@mail.ru>
homepage:             https://github.com/nikita-volkov/stm-hamt
synopsis:             STM-specialised Hash Array Mapped Trie
description:
    A low-level data-structure,
    which can be used to implement higher-level interfaces like
    hash-map and hash-set.
    Such implementations are presented by the
    <http://hackage.haskell.org/package/stm-containers stm-containers>.

category:             Data Structures, STM, Concurrency
abi:                  03d1b7b78f4f6fc792c219203b8609c0
exposed:              True
exposed-modules:      StmHamt.Hamt StmHamt.SizedHamt
hidden-modules:
    StmHamt.Constructors.Branch StmHamt.Focuses StmHamt.IntOps
    StmHamt.ListT StmHamt.Prelude StmHamt.Types StmHamt.UnfoldlM

import-dirs:          /usr/lib/ghc-9.0.2/site-local/stm-hamt-1.2.0.14
library-dirs:         /usr/lib/ghc-9.0.2/site-local/stm-hamt-1.2.0.14
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-stm-hamt
hs-libraries:         HSstm-hamt-1.2.0.14-8i5M6eWUjx0DovMbaguzY1
depends:
    base-4.15.1.0 deferred-folds-0.9.18.5-6dfJymnoQdBJcZytWOUpi0
    focus-1.0.3.2-GZ0g4CskZI2Ijpat4sniOo
    hashable-1.4.3.0-FviSDMTOEDP4a4xPfq9DNL
    list-t-1.0.5.4-FzQGGrmGxKTAeABCEnVrkM
    primitive-0.7.4.0-vwDq7840sM3xgs4vWuDTK
    primitive-extras-0.10.1.8-AjVfpnAPu3kJQIJcFvDKHi
    transformers-0.5.6.2

haddock-interfaces:   /usr/share/doc/haskell-stm-hamt/html/stm-hamt.haddock
haddock-html:         /usr/share/doc/haskell-stm-hamt/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

